#ifndef SENSORREADERSTEP_H
#define SENSORREADERSTEP_H

#include <fstream>

/** entry for one sensor */
struct SensorEntryStep {

    /** sensor data */
    float ts; //timestamp of the step



};

/** read sensor data from CSV */
class SensorReaderStep {

private:

    std::ifstream fp;

public:

    SensorReaderStep(const std::string& file) {
        fp.open(file);
		assert(fp.is_open());
    }

    bool hasNext() {
        return !fp.bad() && !fp.eof();
    }

    /** read the next sensor entry */
    SensorEntryStep getNext() {

        SensorEntryStep entry;

        fp >> entry.ts;

        return entry;


    }


};

#endif // SENSORREADERSTEP_H
